Services

You can use the Services snap-in to manage services on local or remote computers.

  • For tips about using Services, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.

Important

  • To improve performance and security in the Microsoft® Windows® Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.


Best practices

Save the default state of services.

  • It is helpful to keep a list of the default service settings in the event that you need to restore these settings. For more information, see To export information from Services. You can also use Security Templates to define a default security template, including system service settings, for your computer or for your network. For more information, see Security Templates overview. For more information about how restore default security settings, see To reapply default security settings.

Perform adequate testing and backup procedures before changing default settings.

  • Changing the default settings for services might prevent key services from running correctly. It is especially important to use caution when changing the Startup type and Log on as settings of services that are configured to start automatically.
  • In most cases, it is recommended that you not change the Allow service to interact with desktop setting. If you allow the service to interact with the desktop, any information that the service displays on the desktop will also be displayed on an interactive user's desktop. A malicious user could then take control of the service or attack it from the interactive desktop.

Verify service dependencies before starting or stopping services.

  • Ensure that a service you are starting does not depend on a service whose startup type is set to Disabled or Manual. Also, make sure that a service you are stopping is not required for a dependent service to function properly. For more information, see To view service dependencies.

Notify connected users before stopping or pausing services.

  • Stopping or pausing certain services affects connected users. For example, if you stop the Server service, all file, print, and named pipe sharing over the network is disabled. Also, the affected computers can no longer be administered remotely, so you must start the Server service locally.

    • Stopping or pausing a service does not change the startup type of that service. For example, if you stop a service that is configured to start automatically (Startup type is set to Automatic), that service starts automatically when the computer is restarted.

When you start disabled services, be sure to select the appropriate startup type.

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. If you want to enable any of these services, you must select the appropriate startup type. For a table that lists the default settings and provides information about the appropriate startup type for a disabled service, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.


How to...

  • Configure how a service is started
  • Start, stop, pause, resume, or restart a service
  • Enable or disable a service for a hardware profile
  • Access the Services snap-in on another computer
  • Set up recovery actions to take place when a service fails
  • Export services information from the Services snap-in
  • View service dependencies


Configure how a service is started

Microsoft Windows graphic

To configure how a service is started

Using Services

  1. Open Services.
  2. In the details pane, right-click the service that you want to configure, and then click Properties.
  3. On the General tab, in Startup type, click Automatic, Manual, or Disabled.
  4. To specify the user account that the service can use to log on, click the Log On tab, and then do one of the following:
    • To specify that the service uses the Local System account, click Local System account.
    • To specify that the service uses the Local Service account, click This account, and then type NT AUTHORITY\LocalService.
    • To specify that the service uses the Network Service account, click This account, and then type NT AUTHORITY\NetworkService.
    • To specify another account, click This account, click Browse, and then specify a user account in the Select User dialog box. When you are finished, click OK.
  5. Type the password for the user account in Password and in Confirm password, and then click OK. If you select the Local Service account or Network Service account, the password must be blank.

Note

  • XOX

Using the command line

  1. Open Command Prompt.
  2. Type:

    sc config service name start= {boot|system|auto|demand|disabled}

Value | Description
sc config | Modifies the value of a service's entries in the registry and in the Service Control Manager's database.
service name | Specifies the short name of the service.
start= | Specifies the start type for the service.
boot | A device driver that is loaded by the boot loader.
system | A device driver that is started during kernel initialization.
auto | A service that automatically starts each time the computer is restarted and runs even if no one logs on to the computer.
demand | A service that must be manually started. This is the default value if start= is not specified.
disabled | A service that cannot be started. To start a disabled service, change the start type to one of the other values.

Notes

  • XOX
  • To view the complete syntax for this command, at the command prompt, type:

    sc config help

  • For more information about the sc command, see Related topics.

Caution

  • Most services are not designed to have the default account changed. Changing the default account of a service could result in the service failing to start.
  • Changing the default service settings may prevent key services from running correctly. It is especially important to use caution when changing the Startup type and Log on as settings of services that are configured to start automatically.
  • In most cases, it is recommended that you not change the Allow service to interact with desktop setting. If you allow the service to interact with the desktop, any information that the service displays on the desktop will also be displayed on an interactive user's desktop. A malicious user could then take control of the service or attack it from the interactive desktop.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.
  • The Local Service account and Network Service account are configured with a null password. Whatever password information you supply is ignored. For more information about service accounts, see Services permissions.
  • It is recommended that user accounts that are used to log on as a service have the Password never expires check box selected in their properties dialog box and that they have strong passwords. For more information about creating strong passwords, see Related Topics.

Notes

  • XOX
  • If account lockout policy is enabled and the account is locked out, the service will not start. For more information about account lockout policy, see Related Topics.
  • If you enable or disable a service and you encounter a problem starting the computer, you can start the computer in Safe Mode. In Safe Mode, core services that are required to start the operating system are started in a default scheme, regardless of any changes that are made to the service settings. After the computer is in Safe Mode, you can change the service configuration or restore the default configuration. For more information about startup options, see Related Topics.
  • If you specify an account that does not have permission to log on as a service, the Services snap-in automatically grants the appropriate permissions to that account on the computer that you are managing.
  • For more information about the user accounts that a service uses to log on, see "Services permissions" in Related Topics. Also, see "Managing System Services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Related Topics


Start, stop, pause, resume, or restart a service

Microsoft Windows graphic

To start, stop, pause, resume, or restart a service

Using Services

  1. Open Services.
  2. In the details panel, do one of the following:
    • Click the service, and then, on the Action menu, click Start, Stop, Pause, Resume, or Restart.
    • Right-click the service, and then click Start, Stop, Pause, Resume, or Restart.

Notes

  • XOX
  • To start a service with startup parameters, right-click the service, click Properties, type the parameters in Start parameters, and then click Start. These settings are not persistent; they are are used only once, and then the default settings are restored. (A backslash (\) is treated as an escape character; type two backslashes for each backslash in a parameter.)

Using the command line

  1. Open Command Prompt.
  2. Type one of the following:
    • To start a service, type:

      net start service

    • To stop a service, type:

      net stop service

    • To pause a service, type:

      net pause service

    • To resume a service, type:

      net continue service

Value | Description
net start | Starts a service.
net stop | Stops a service.
net pause | Pauses a service.
net continue | Continues a service that has been paused.
service | Specifies the name of service.

Notes

  • XOX
  • To view the complete syntax for these commands, at the command prompt, type:

    net help command

  • For more information about these commands, see Related Topics.

Caution

  • If you stop, start, or restart a service, any dependent services are also affected. Starting a service does not automatically restart its dependent services. For more information, see To view service dependencies.
  • Changing the default service settings may prevent key services from running correctly. It is especially important to use caution when changing the Startup type and Log on as settings of services that are configured to start automatically.
  • In most cases, it is recommended that you not change the Allow service to interact with desktop setting. If you allow the service to interact with the desktop, any information that the service displays on the desktop will also be displayed on an interactive user's desktop. A malicious user could then take control of the service or attack it from the interactive desktop.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.

Notes

  • XOX
  • Some services, such as Remote Procedure Call (RPC), Event Log, and Plug and Play, cannot be stopped by using the Service snap-in or the net stop command. These services are required for the operating system to function properly.

Related Topics


Enable or disable a service for a hardware profile

Microsoft Windows graphic

To enable or disable a service for a hardware profile

  1. Open Services.
  2. In the details pane, right-click the service that you want to enable or disable, and then click Properties.
  3. On the Log On tab, click the hardware profile that you want to configure.
  4. Click Enable or Disable, and then click OK.

Caution

  • Use caution when you disable services by using this procedure. If you disable a service for a certain hardware profile, the Hardware Profile settings override the Startup type setting for that service.
  • In most cases, it is recommended that you not change the Allow service to interact with desktop setting. If you allow the service to interact with the desktop, any information that the service displays on the desktop will also be displayed on an interactive user's desktop. A malicious user could then take control of the service or attack it from the interactive desktop.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.

Notes

  • XOX
  • XOX
  • You can use the options on the Hardware tab in System in Control Panel to create and manage hardware profiles. For more information about creating hardware profiles, see Related Topics.
  • You may want to set up a hardware profile to test any newly installed services. For example, you can create two hardware profiles for a newly installed service: one profile in which the service is enabled and a second profile in which the service is disabled. This way, you can troubleshoot any problems that might occur, such as a driver not loading properly.
  • If you receive a Connection Manager error message when you open the properties dialog box for a service, verify that the Remote Registry service is running on the specified computer. If the Remote Registry service is not running, or if the specified computer is running Windows NT 4.0, you cannot view or modify hardware profile settings, but you can perform any other actions. For more information, see Troubleshooting. Also, see "Managing System Services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Related Topics


Access the Services snap-in on another computer

Microsoft Windows graphic

To access the Services snap-in on another computer

  1. Open Services.
  2. In the console tree, right-click Services, and then click Connect to another computer.
  3. In the Select Computer dialog box, type the name of the computer that you want to manage, or click Browse to find it, and then click OK.

Caution

  • Changing the default service settings may prevent key services from running correctly. It is especially important to use caution when changing the Startup type and Log on as settings of services that are configured to start automatically.
  • In most cases, it is recommended that you not change the Allow service to interact with desktop setting. If you allow the service to interact with the desktop, any information that the service displays on the desktop will also be displayed on an interactive user's desktop. A malicious user could then take control of the service or attack it from the interactive desktop.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.
  • If you enable or disable a service and you encounter a problem starting the computer, you can start the computer in Safe Mode. Then, you can change the service configuration or restore the default configuration. In Safe Mode, core services that are required to start the operating system are started in a default scheme, regardless of any changes that are made to the service settings. For more information about Safe Mode and other startup options, see Related Topics.

Notes

  • You must be a domain member on the specified computer to access the Services snap-in.
  • XOX

Related Topics


Set up recovery actions to take place when a service fails

Microsoft Windows graphic

To set up recovery actions to take place when a service fails

  1. Open Services.
  2. In the details pane, right-click the service for which you want to set up recovery actions, and then click Properties.
  3. On the Recovery tab, click the action that you want in First failure, Second failure, and Subsequent failures, and then click OK:
    • If you click Run a Program, under Run program, type the absolute path for the specified computer. Universal Naming Convention (UNC) names are not supported. For example, type C:\scripts\handlefailure.cmd, rather than \\computername\c$\scripts\handlefailure.cmd.
    • If you click Restart the Computer, click Restart Computer Options to specify how long the computer waits before restarting. You can also create a message to send to remote users before the computer restarts. This message is sent automatically, using the same mechanism as the one used by the net send command and Send Console Message.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.

Notes

  • XOX
  • XOX
  • Recovery actions are available only on computers running Windows 2000, XOX, or products in the Windows Server 2003 family.

Related Topics


Export services information from the Services snap-in

Microsoft Windows graphic

To export services information from the Services snap-in

  1. Open Services.
  2. On the Action menu, click Export List. This opens the Export List dialog box.
  3. In Save in, click or type the file location where you want to save the exported file.
  4. In File name, type the name of the file.
  5. In Save as type, click the file type, and then click Save.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.

Note

  • XOX

Related Topics


View service dependencies

Microsoft Windows graphic

To view service dependencies

  1. Open Services.
  2. In the details pane, right-click the service that you want to view dependencies for, and then click Properties.
  3. Click the Dependencies tab.
  4. To view services that are associated dependencies of the selected service, in the list on the Dependencies tab, click the plus sign next to the service.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.

Notes

  • XOX
  • The top list on the Dependencies tab identifies the other services that must be running for the selected service to function. The bottom list on the Dependencies tab identifies the services that require the selected service to be running so that the dependent services can function properly.
  • For more information about service dependencies, see "Managing System Services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Related Topics


Concepts

This section provides general background information about Services:

  • Services overview
  • Services permissions
  • Default settings for services

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.


Services overview

A service is an application type that runs in the system background and is similar to a UNIX daemon application. Services provide core operating system features, such as Web serving, event logging, file serving, help and support, printing, cryptography, and error reporting. With the Services snap-in, you can manage services on local or remote computers. The operating system services that are delivered with the Microsoft® Windows® Server 2003 family are designed so that only the key services that are required for common server roles are started. For more information on server roles, see Configuring roles for your server.

You can use the Services snap-in to:

  • Start, stop, pause, resume, or disable services on remote and local computers.
  • Manage services on local and remote computers (on remote computers running Microsoft Windows NT® 4.0, Windows 2000, XOX, or products in the Windows Server 2003 family only).
  • Set up recovery actions to take place if a service fails, for example, restarting the service automatically or restarting the computer (on computers running Windows NT 4.0, Windows 2000, XOX, or products in the Windows Server 2003 family only).
  • Enable or disable services for a particular hardware profile.
  • Export service information to a .txt or .csv file for system administration purposes.
  • View the status and description of each service.

For more information about managing operating system services, see "Managing System Services" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.


Services permissions

There are two types of permissions that apply to services: service account permissions and service permissions. Service account permissions refer to the user rights and credentials that are granted to the service through the logon account. Service permissions refer to the permissions that are required to configure a service.

Service account permissions

A service must log on to an account to access resources and objects on the operating system. Most services are not designed to have their default logon account changed. Changing the default account will probably cause the service to fail.

If you select an account that does not have permission to log on as a service, the Services snap-in automatically grants that account the user rights that are required to log on as a service on the computer that you are managing. However, this does not guarantee that the service will start.

It is recommended that the user accounts that are used to log on as a service have the Password never expires check box selected in their properties dialog box and that they have strong passwords. For more information, see Strong passwords.

If account lockout policy is enabled and the account is locked out, the service will malfunction. For more information, see Account lockout policy.

The following table describes the service logon accounts and how they are used.

Logon account | Description
Local System account | The Local System account is a powerful account that has full access to the system, including the directory service on domain controllers. If a service logs on to the Local System account on a domain controller, that service has access to the entire domain. Some services are configured by default to log on to the Local System account. Do not change the default service setting.
Local Service account | The Local Service account is a special, built-in account that is similar to an authenticated user account. The Local Service account has the same level of access to resources and objects as members of the Users group. This limited access helps safeguard your system if individual services or processes are compromised. Services that run as the Local Service account access network resources as a null session with no credentials.
Network Service account | The Network Service account is a special, built-in account that is similar to an authenticated user account. The Network Service account has the same level of access to resources and objects as members of the Users group. This limited access helps safeguard your system if individual services or processes are compromised. Services that run as the Network Service account access network resources using the credentials of the computer account.

Caution

  • Changing the default service settings may prevent key services from running correctly. It is especially important to use caution when changing the Startup type and Log on as settings of services that are configured to start automatically.
  • In most cases, it is recommended that you not change the Allow service to interact with desktop setting. If you allow the service to interact with the desktop, any information that the service displays on the desktop will also be displayed on an interactive user's desktop. A malicious user could then take control of the service or attack it from the interactive desktop.

Service permissions

Each service has special permissions that you can grant or deny for each user or group. You can set permissions for individual services by using Security Templates or the sc command. For more information, see Security Templates and SC.

The following table lists the individual service permissions that you can apply.

Permission | Allows you to
Full Control | Perform all functions. This permission automatically grants all service permissions to the user.
Query Template | Determine the configuration parameters that are associated with a service object.
Change Template | Change the configuration of a service. This permission is required so that the user can change the startup type.
Query Status | Access information about the status of the service.
Enumerate Dependents | Determine all the other services that depend on the specified service.
Start | Start a service.
Stop | Stop a service.
Pause and Continue | Pause and continue the service.
Interrogate | Report the current status information for the service.
User-Defined Control | Send a user-defined control request—or a request that is specific to the service—to the service.
Delete | Delete a service.
Read Permissions | Read the security permissions that are assigned to the service.
Change Permissions | Change the security permissions that are assigned to the service.
Take Ownership | Change a security key or change permissions on a service that is not owned by the user.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. For a table that lists the default settings and provides information about how to enable these services, see Default settings for services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.


Default settings for services

For a typical installation, services are configured as automatic, manual, or disabled:

  • An automatic service starts automatically when the operating system starts.
  • You can start a service manually by using the Services snap-in or by using the net start command. A manual service can also be started by a related operating system service, a system device driver, or an action in the user interface that depends on the manual service. For example, both the Telephony service and Remote Access Connection Manager service are configured as Manual by default, but both of these services are started during the Windows Product Activation process.
  • A disabled service cannot be started automatically or manually. To start a disabled service, you must select an appropriate startup type, which is identified in the tables below. For information on enabling the services required by audio, imaging, and CD-burning peripheral devices, see Troubleshooting audio, imaging, and CD-burning peripheral devices.

For more information about how to configure service startup, see To configure how a service is started. For more information about starting a service from the command line, see Net start.

You can use the sc command at the command prompt to configure services and obtain information about them. For example, you can use sc getkeyname to obtain the key name, or short name, of the service. For more information about the sc command, see SC.

Important

  • To improve performance and security in the Windows Server 2003 family, several services have been disabled by default that were previously enabled on Windows 2000. See the tables below for information about how to enable these services. Note that these settings apply only to new installations, not upgrades; all previous service configurations are preserved during upgrades to the Windows Server 2003 family.

The following tables list all the default services that may be installed as part of the Windows Server 2003 family. Your list of services may be different, depending on which Windows product is installed, which components and options are selected during installation, and whether any additional programs are installed.

Alerter

Short name: Alerter

This service is now disabled by default. If you want to enable this service, set Startup type to Automatic.

Product | Startup type | Log on as
XOX | Disabled | Local Service
XOX | Disabled | Local Service
XOX | Disabled | Local Service
XOX | Disabled | Local Service

Application Layer Gateway Service

Short name: ALG

Product | Startup type | Log on as
XOX | Manual | Local Service
XOX | Manual | Local Service
XOX | Manual | Local Service
XOX | Manual | Local Service

Application Management

Short name: AppMgmt

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Automatic Updates

Short name: wuauserv

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Background Intelligent Transfer Service

Short name: BITS

For information about troubleshooting problems associated with this service, see Background Intelligent Transfer Service (BITS) inactive job timeout.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

ClipBook

Short name: ClipSrv

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

COM+ Event System

Short name: EventSystem

Product | Startup type | Log on as
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System

COM+ System Application

Short name: COMSysApp

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Computer Browser

Short name: Browser

This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Cryptographic Services

Short name: CryptSvc

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

DHCP Client

Short name: Dhcp

This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service

Distributed File System

Short name: Dfs

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Distributed Link Tracking Client

Short name: TrkWks

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Distributed Link Tracking Server

Short name: TrkSvr

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Distributed Transaction Coordinator

Short name: MSDTC

Product | Startup type | Log on as
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service

DNS Client

Short name: Dnscache

This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service

Error Reporting Service

Short name: ERSvc

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Event Log

Short name: Eventlog

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

File Replication

Short name: ntfrs

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Help and Support

Short name: helpsvc

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

HTTP SSL

Short name: W3SSL

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual/Started | Local System

Human Interface Device Access

Short name: HidServ

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

IAS Jet Database Access

Short name: IASJet

This service is available only on the 64-bit versions of the Windows Server 2003 family.

Product | Startup type | Log on as
64-bit version of XOX | Manual | Local System
64-bit version of XOX | Manual | Local System

IIS Admin

Short name: IISADMIN

This service is installed by default only on computers running the XOX operating system. For other editions, you can this service by using the Configure Your Server Wizard or by using Add or Remove Programs in Control Panel.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System

IMAPI CD-Burning COM Service

Short name: ImapiService

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Indexing Service

Short name: cisvc

For more information about this service, see Indexing Service.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Internet Connection Firewall (ICF)/Internet Connection Sharing (ICS)

Short name: SharedAccess

If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System

Intersite Messaging

Short name: IsmServ

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

IPSec Services

Short name: PolicyAgent

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Kerberos Key Distribution Center

Short name: kdc

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

License Logging

Short name: LicenseService

Product | Startup type | Log on as
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service
XOX | Automatic/Started | Network Service

Logical Disk Manager

Short name: dmserver

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Logical Disk Manager Administrative Service

Short name: dmadmin

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Messenger

Short name: messenger

This service is now disabled by default. If you want to enable this service, set Startup type to Automatic. This service must be running for alert notifications and console messages to be received. For more information, see Send Console Message. This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Microsoft Software Shadow Copy Provider

Short name: SWPRV

This service is installed by default only on computers that are running the XOX operating system. For other editions, you can install it by using Add or Remove Programs in Control Panel or by using Manage Your Server.

Product | Startup type | Log on as
XOX | Manual | Network Service
XOX | Manual | Network Service
XOX | Manual | Network Service
XOX | Manual | Network Service

MSSQL$UDDI

Short name: MSSQLSERVER

By default, this service is not installed with a typical installation. You can install it by using Add or Remove Programs in Control Panel. When this service installed, the Startup Type for it is Manual.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

MSSQLServerADHelper

Short name: MSSQLServerADHelper

By default, this service is not installed with a typical installation. You can install it by using Add or Remove Programs in Control Panel. When this service installed, the Startup Type for it is Manual.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

.NET Framework Support Service

Short name: CORRTSvc

By default, this service is not installed with a typical installation. You can install it by using Add or Remove Programs in Control Panel. When this service installed, the Startup Type for it is Manual.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Net Logon

Short name: Netlogon

Until a user joins a Domain, Net Logon is Manual. If a user joins a domain during installation, the service starts and is configured as Automatic.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

NetMeeting Remote Desktop Sharing

Short name: mnmsrvc

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Network Connections

Short name: Netman

Product | Startup type | Log on as
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System

Network DDE

Short name: NetDDE

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Network DDE DSDM

Short name: NetDDEDSDM

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Network Location Awareness (NLA)

Short name: NLA

This service starts automatically when Startup type is set to Manual.

Product | Startup type | Log on as
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System

NT LM Security Support Provider

Short name: NtLmSsp

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Performance Logs and Alerts

Short name: SysmonLog

Product | Startup type | Log on as
XOX | Manual | Network Service
XOX | Manual | Network Service
XOX | Manual | Network Service
XOX | Manual | Network Service

Plug and Play

Short name: PlugPlay

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Portable Media Serial Number

Short name: WmdmPmSp

This service is not available on the 64-bit editions of the Windows Server 2003 family.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Print Spooler

Short name: Spooler

If you are having trouble with a printer not responding, stop and then restart this service. This action cancels all pending print jobs in the printer queue.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Protected Storage

Short name: ProtectedStorage

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Remote Access Auto Connection Manager

Short name: RasAuto

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Remote Access Connection Manager

Short name: RasMan

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Remote Administration Service

Short name: SRVCSURG

Product | Startup type | Log on as
XOX | Automatic/Started | Local System

Remote Desktop Help Session Manager

Short name: RDSessMgr

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Remote Procedure Call (RPC)

Short name: RpcSs

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Remote Procedure Call (RPC) Locator

Short name: RpcLocator

Product | Startup type | Log on as
XOX | Manual | Network Service
XOX | Manual | Network Service
XOX | Manual | Network Service
XOX | Manual | Network Service

Remote Registry

Short name: RemoteRegistry

To troubleshoot performance problems related to this service, see Troubleshooting.

Product | Startup type | Log on as
XOX | Automatic/Started | Local Service
XOX | Automatic/Started | Local Service
XOX | Automatic/Started | Local Service
XOX | Automatic/Started | Local Service

Remote Server Manager

Short name: APPMGR

Product | Startup type | Log on as
XOX | Automatic/Started | Local System

Removable Storage

Short name: NtmsSvc

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Resultant Set of Policy Provider

Short name: RSoPProv

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Routing and Remote Access

Short name: RemoteAccess

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Secondary Logon

Short name: seclogon

You can configure the Secondary Logon service by using the runas command. For more information, see Runas.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Security Accounts Manager

Short name: SamSs

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Server

Short name: lanmanserver

When you stop the Server service, all users who are connected to the computer over the network are disconnected. Also, the affected computer cannot be administered remotely; therefore, you must start the Server service locally. When you pause the Server service, only members of the Administrators group and Server Operators group can make connections to the server. This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Shell Hardware Detection

Short name: ShellHWDetection

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Simple Mail Transfer Protocol (SMTP)

Short name: SMTPSVC

This service in only installed with a typical installation on XOX. For other editions, you can install the service by using the Configure Your Server Wizard or by using Add or Remove Programs in Control Panel.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System

Smart Card

Short name: SCardSvr

Product | Startup type | Log on as
XOX | Manual | Local Service
XOX | Manual | Local Service
XOX | Manual | Local Service
XOX | Manual | Local Service

Special Administration Console Helper

Short name: Sacsvr

This service runs only when needed, and then it stops automatically.

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

SQLAGENT$UDDI

Short name: SQLSERVERAGENT

By default, this service is not installed with a typical installation. You can install it by using the Configure Your Server Wizard.

Product | Startup type | Log on as
XOX | Not installed | Local System
XOX | Not installed | Local System
XOX | Not installed | Local System
XOX | Not installed | Local System

System Event Notification

Short name: SENS

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Task Scheduler

Short name: Schedule

When you pause the Task Scheduler service, only members of the Administrators group on the local computer can schedule or modify tasks, and only those tasks that are scheduled by members of the Administrators group or the system account will run.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

TCP/IP NetBIOS Helper

Short name: LmHosts

This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Local Service
XOX | Automatic/Started | Local Service
XOX | Automatic/Started | Local Service
XOX | Automatic/Started | Local Service

Telephony

Short name: TapiSrv

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Telnet

Short name: TlntSvr

This service is now disabled by default. If you want to enable this service, set Startup type to Manual.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Terminal Services

Short name: TermService

This service, although it is set to Manual, will start if Remote Desktop for Administration is enabled. For more information, see Remote Desktop for Administration.

Product | Startup type | Log on as
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System

Terminal Services Session Directory

Short name: Tssdis

This service is now disabled by default. If you want to enable this service, set Startup type to Manual. This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Themes

Short name: Themes

This service is now disabled by default. If you want to enable this service, set Startup type to Automatic. This service is not available on the 64-bit editions of the Windows Server 2003 family.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Uninterruptible Power Supply

Short name: UPS

Product | Startup type | Log on as
XOX | Manual | Local Service
XOX | Manual | Local Service
XOX | Manual | Local Service
XOX | Manual | Local Service

Upload Manager

Short name: uploadmgr

This service is now disabled by default. If you want to enable this service, set Startup type to Automatic. This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Virtual Disk Service

Short name: VDS

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Volume Shadow Copy

Short name: VSS

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

WebClient

Short name: WebClient

This service is now disabled by default. If you want to enable this service, set Startup type to Automatic.

Product | Startup type | Log on as
XOX | Disabled | Local Service
XOX | Disabled | Local Service
XOX | Disabled | Local Service
XOX | Disabled | Local Service

Web Element Manager

Short name: ElementMgr

Product | Startup type | Log on as
XOX | Automatic/Started | Local System

Windows Audio

Short name: AudioSrv

By default, this service is started only on computers that are running XOX. If sound is required, start this service and set Startup type to Automatic.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Windows Image Acquisition (WIA)

Short name: stisvc

Product | Startup type | Log on as
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System
XOX | Disabled | Local System

Windows Installer

Short name: MSIServer

Product | Startup type | Log on as
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System
XOX | Manual/Started | Local System

Windows Management Instrumentation

Short name: winmgmt

This service is started in Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

Windows Management Instrumentation Driver Extensions

Short name: wmi

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Windows Media Services

Short name: WMServer

You can install this service by using the Configure Your Server Wizard or by using Add or Remove Programs in Control Panel.

Product | Startup type | Log on as
XOX | Not installed | Network Service
XOX | Not installed | Network Service
XOX | Not installed | Network Service
XOX | Not installed | Network Service

Windows Time

Short name: W32time

Product | Startup type | Log on as
XOX | Automatic | Local System
XOX | Automatic | Local System
XOX | Automatic | Local System
XOX | Automatic | Local System

WinHTTP Web Proxy Auto-Discovery Service

Short name: WinHttpAutoProxySvc

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Wireless Configuration

Short name: WZCSVC

This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Manual | Local System

WMI Performance Adapter

Short name: WmiApSrv

Product | Startup type | Log on as
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System
XOX | Manual | Local System

Workstation

Short name: lanmanworkstation

This service is started in Safe Mode with Networking.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System
XOX | Automatic/Started | Local System

World Wide Web Publishing

Short name: W3SVC

You can install the service by using the Configure Your Server Wizard or by using Add or Remove Programs in Control Panel.

Product | Startup type | Log on as
XOX | Automatic/Started | Local System


Troubleshooting

What problem are you having?

The service will not start.

Cause: The account under which the service runs (as indicated on the Log On tab of the properties dialog box for the service) has changed.

Solution: Examine the System, Application, and Security logs in Event Viewer for "Service failed to start" error messages to identify which account the service uses. For more information about how to use Event Viewer to do this, see To search for specific events. Then, restore the default settings. For a table that lists the default settings, see Default settings for services. If you cannot access the Services snap-in to restore the settings, you can also use the sc command. For more information, see SC.

Cause: The system configuration has changed.

Solution: Use the System Configuration Utility (Msconfig.exe) to restart the computer using a diagnostic startup method. With the System Configuration Utility, you can select which devices and services are loaded at startup, which can help identify problem devices. For more information, see System Configuration Utility overview.

Cause: Account lockout policy is enabled, or the password is expired.

Solution: If the service account is locked out or the service account password is expired, the service will not start. For more information about how to configure account lockout policy settings, see To apply or modify account lockout policy. For more information about how to apply password policy, see To apply or modify password policy.

See also: Account lockout policy.

The computer will not start.

Cause: The account under which the service runs (as indicated on the Log On tab of the properties dialog box for the service) has changed.

Solution: Start the computer in Safe Mode. In Safe Mode, you can change the service configuration or restore the default configuration. In Safe Mode, core services that are required to start the operating system are started in a default scheme, regardless of any changes that are made to the service settings. For more information, see Startup options.

When managing services on a remote computer, I receive a Connection Manager error message when I try to access the properties dialog box for a service.

Cause: The Remote Registry service is not running on the remote computer.

Solution: Ensure that the Remote Registry service is running on the remote computer. This is necessary only if you want to configure hardware profile settings for the service. For more information, see To start, stop, pause, resume, or restart a service. To start the service, you need the appropriate permissions on the remote computer.

See also: Troubleshooting for System Monitor and Performance Logs and Alerts.

Note

  • You may also receive this error message if the remote computer is running Windows 95 or Windows NT 4.0.

For information on enabling the services required by audio, imaging, and CD-burning peripheral devices, see Troubleshooting audio, imaging, and CD-burning peripheral devices.